Package org.eclipse.e4.ui.workbench.modeling

# Enum Class ISaveHandler.Save

java.lang.Object
java.lang.Enum<ISaveHandler.Save>
org.eclipse.e4.ui.workbench.modeling.ISaveHandler.Save

All Implemented Interfaces:
  `Serializable`, `Comparable<ISaveHandler.Save>`, `Constable`

Enclosing interface:
  ISaveHandler

public static enum ISaveHandler.Save extends Enum<ISaveHandler.Save>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCEL`
`NO`
`YES`

## Method Summary

Modifier and Type
Method
Description
`static ISaveHandler.Save`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ISaveHandler.Save[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### YES

public static final ISaveHandler.Save YES

### NO

public static final ISaveHandler.Save NO

### CANCEL

public static final ISaveHandler.Save CANCEL

## Method Details

### values

public static ISaveHandler.Save[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ISaveHandler.Save valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null